package com.tmerclub.cloud.api.order.bo;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @since 2023-11-27
 */
public class EsAllotOrderItemBO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 调拨订单商品id
     */
    private Long allotOrderItemId;

    /**
     * 商品spuId
     */
    private Long spuId;

    /**
     * 商品skuId
     */
    private Long skuId;

    /**
     * 调拨数量
     */
    private Integer allotCount;

    /**
     * 调拨入库数量
     */
    private Integer allotInCount;

    public EsAllotOrderItemBO() {
    }

    public Long getAllotOrderItemId() {
        return allotOrderItemId;
    }

    public void setAllotOrderItemId(Long allotOrderItemId) {
        this.allotOrderItemId = allotOrderItemId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getAllotCount() {
        return allotCount;
    }

    public void setAllotCount(Integer allotCount) {
        this.allotCount = allotCount;
    }

    public Integer getAllotInCount() {
        return allotInCount;
    }

    public void setAllotInCount(Integer allotInCount) {
        this.allotInCount = allotInCount;
    }

    @Override
    public String toString() {
        return "EsAllotOrderItemBO{" +
                "allotOrderItemId=" + allotOrderItemId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", allotCount=" + allotCount +
                ", allotInCount=" + allotInCount +
                '}';
    }
}
